PBESPGSOLVE(1)

NAME
pbespgsolve - Solve a (P)BES or parity game using a parity game solver

SYNOPSIS
pbespgsolve [OPTION]... [INFILE]

DESCRIPTION
Reads a file containing a (P)BES or a max parity game in PGSolver format,instantiates it into a BES, and applies a parity game solver to it. If INFILE is not present, standard input is used.

OPTIONS

OPTION can be any of the following:

-C, --cycle
    Eliminate cycles

-iFORMAT, --in=FORMAT
    use input format FORMAT: 'pbes' PBES in internal format 'pbes_text' PBES in internal textual format 'text' PBES in textual (mCRL2) format 'bes' BES in internal format 'bes_text' BES in internal textual format 'cwi' BES in CWI format 'pgsolver' BES in PGSolver format

-L, --loop
    Eliminate self-loops

-g, --onlygenerate
    Only generate the BES without solving

-QNUM, --qlimit=NUM
    limit enumeration of quantifiers to NUM variables. (Default NUM=1000, NUM=0 for unlimited).

-rNAME, --rewriter=NAME
    use rewrite strategy NAME: 'jitty' jitty rewriting (default) 'jittyc' compiled jitty rewriting 'jittyp' jitty rewriting with prover

-c, --scc
    Use scc decomposition

-sNAME, --solver-type=NAME
    Use the solver type NAME: 'spm' Small progress measures (default) 'altspm' Alternative implementation of small progress measures 'recursive' Recursive algorithm

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

-e, --verify
    Verify the solution

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Maks Verver and Wieger Wesselink; Michael Weber.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/pbespgsolve.html>.